IBMCD(4)

NAME
ibmcd - support for the IBM 4810 BSP cash drawer port

SYNOPSIS
ibmcd* at at pci ? dev ? function ?
gpio* at ibmcd?

DESCRIPTION
The ibmcd driver controls the cash drawer port of the IBM 4810 BSP PCI device found in IBM point of sale terminals (e.g. in the SurePOS 300 series) using the GPIO subsystem.

ibmcd provides a GPIO device with three pins: pin 0 is used to control the cash drawer while pin 1 can be used to read the current state of the sense input pin. A logical 0 means the cash drawer is closed, a logical 1 means the cash drawer is open.

Pin 2 reports if a cash drawer is connected. A logical 0 means there is no cash drawer connected, a logical 1 means the cash drawer is connected.

To open the cash drawer, set pin 0 to logical 1. There is no need to reset pin 0 to logical 0 afterwards as the device generates a oneshot impulse.

SEE ALSO
gpio(4), ptcd(4), gpioctl(8)

HISTORY
The ibmcd driver first appeared in NetBSD 6.1.

AUTHORS
-nosplit The ibmcd driver was written by Marc Balmer <marc@msys.ch>.